# Interface DependenciesMetadata

All Superinterfaces:
  `Collection<DependencyMetadata>, Iterable<DependencyMetadata>`

@Incubating public interface DependenciesMetadata extends Collection<DependencyMetadata>
Describes the dependencies of a variant declared in a resolved component's metadata, which typically originate from a component descriptor (Gradle metadata file, Ivy file, Maven POM). This interface can be used to adjust the dependencies of a published component via metadata rules (see `ComponentMetadataHandler`.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String dependencyNotation)`
Add a dependency using the string notation: `group:name:version`.
`void`
`add(String dependencyNotation, Action<DependencyMetadata> configureAction)`
Add a dependency using the string notation: `group:name:version`.
`void`
`add(Map<String,String> dependencyNotation)`
Add a dependency using the map notation: `group: group, name: name, version: version`.
`void`
`add(Map<String,String> dependencyNotation, Action<DependencyMetadata> configureAction)`
Add a dependency using the map notation: `group: group, name: name, version: version`.

### Methods inherited from interface Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

### Methods inherited from interface Iterable

`forEach`

## Method Details

### add

void add(String dependencyNotation)
Add a dependency using the string notation: `group:name:version`.

Parameters:
  `dependencyNotation` - the dependency

### add

void add(Map<String,String> dependencyNotation)
Add a dependency using the map notation: `group: group, name: name, version: version`.

Parameters:
  `dependencyNotation` - the dependency

### add

void add(String dependencyNotation, Action<DependencyMetadata> configureAction)
Add a dependency using the string notation: `group:name:version`.

Parameters:
  `dependencyNotation` - the dependency
  `configureAction` - action to configure details of the dependency - see `DependencyMetadata`

### add

void add(Map<String,String> dependencyNotation, Action<DependencyMetadata> configureAction)
Add a dependency using the map notation: `group: group, name: name, version: version`.

Parameters:
  `dependencyNotation` - the dependency
  `configureAction` - action to configure details of the dependency - see `DependencyMetadata`